Bug 607038 - kernel: thinkpad-acpi: lock down video output state access [mrg-1]
kernel: thinkpad-acpi: lock down video output state access [mrg-1]
Status: CLOSED WONTFIX
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel (Show other bugs)
1.2
All Linux
high Severity medium
: ---
: ---
Assigned To: Red Hat Real Time Maintenance
David Sommerseth
:
Depends On: 607035 607039
Blocks: 607037 CVE-2010-3448
  Show dependency treegraph
 
Reported: 2010-06-22 22:25 EDT by Eugene Teo (Security Response)
Modified: 2016-05-22 19:30 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 607035
Environment:
Last Closed: 2010-07-08 15:53:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2010-06-22 22:25:42 EDT
+++ This bug was initially created as a clone of Bug #607035 +++

Description of problem:
Given the right combination of ThinkPad and X.org, just reading the video output control state is enough to hard-crash X.org.
    
Until the day I somehow find out a model or BIOS cut date to not provide this feature to ThinkPads that can do video switching through X RandR, change permissions so that only processes with CAP_SYS_ADMIN can access any sort of video output control state.
    
This bug could be considered a local DoS I suppose, as it allows any non-privledged local user to cause some versions of X.org to hard-crash some ThinkPads.
    
Reported-by: Jidanni <jidanni@jidanni.org>
Signed-off-by: Henrique de Moraes Holschuh <hmh@hmh.eng.br>
Cc: stable@kernel.org

Upstream commit:
http://git.kernel.org/linus/b525c06cdbd8a3963f0173ccd23f9147d4c384b5
Comment 3 Clark Williams 2010-07-08 15:53:34 EDT
Thinkpads are not target platforms for MRG RT.
Comment 4 Eugene Teo (Security Response) 2010-07-08 20:04:45 EDT
Thanks Clark.

Note You need to log in before you can comment on or make changes to this bug.